Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\FieldType\Page\PageService Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\FieldType\Page\PageService:

## Public Member Functions
| getValidBlockItemsAsContentInfo (Block $block)
| Returns valid block items as content objects. More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\Page\PageService
| __construct (ContentService $contentService, array $zoneDefinition=[], array $blockDefinition=[])
| Constructor. More...
| getZoneDefinition ()
| Returns zone definition as an array. More...
| getZoneDefinitionByLayout ($layoutIdentifier)
| Returns a zone definition for a given layout. More...
| getLayoutTemplate ($layoutIdentifier)
| Returns the template to use for given layout. More...
| hasZoneLayout ($layoutIdentifier)
| Checks if zone definition contains a layout having $layoutIdentifier as identifier. More...
| getAvailableZoneLayouts ()
| Returns list of available zone layouts. More...
| getBlockDefinition ()
| Returns block definition as an array. More...
| getBlockDefinitionByIdentifier ($blockIdentifier)
| Returns a block definition for a given block identifier. More...
| hasBlockDefinition ($blockIdentifier)
| Checks if block definition contains a block having $blockIdentifier as identifier. More...
| setStorageGateway (Gateway $storageGateway)
| Injects the storage gateway to interact with. More...
| hasStorageGateway ()
| Checks if storage gateway has already been injected or not. More...
| getValidBlockItems (Block $block)
| Returns valid items (that are to be displayed), for a given block. More...
| getLastValidBlockItem (Block $block)
| Returns the last valid item, for a given block. More...
| getWaitingBlockItems (Block $block)
| Returns queued items (the next to be displayed), for a given block. More...
| getArchivedBlockItems (Block $block)
| Returns archived items (that were previously displayed), for a given block. More...
| loadBlock ($id)
| Loads Block object for the given $id. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\FieldType\Page\PageService
| getStorageGateway ()
Protected Attributes inherited from eZ\Publish\Core\FieldType\Page\PageService
| $zoneDefinition
| $blockDefinition
| $storageGateway
| $validBlockItems
| $lastValidItems
| $waitingBlockItems
| $archivedBlockItems
| $blocksById
| $contentService

## Detailed Description

Definition at line 13 of file Bundle/EzPublishCoreBundle/FieldType/Page/PageService.php.

## Member Function Documentation

## ◆ getValidBlockItemsAsContentInfo()

eZ\Bundle\EzPublishCoreBundle\FieldType\Page\PageService::getValidBlockItemsAsContentInfo | ( | Block | $block | ) |

Returns valid block items as content objects.

Parameters

  \eZ\Publish\Core\FieldType\Page\Parts\Block | $block |

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentInfo[]

Definition at line 22 of file Bundle/EzPublishCoreBundle/FieldType/Page/PageService.php.

References eZ\Publish\Core\FieldType\Page\PageService\getValidBlockItems().

The documentation for this class was generated from the following file:

- Bundle/EzPublishCoreBundle/FieldType/Page/PageService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.